.map-wrapper {
  position: relative;
  width: 100%;
  height: calc(100vh - 104px);
  overflow: hidden;
}

#google-map {
  width: 100%;
  height: 100%;
}

.floating-sidebar {
  top: 32px;
  left: 64px;
  height: 90%;
  position: absolute;
  z-index: 1;
  display: flex;
  width: 400px;
  padding: 24px;
  flex-direction: column;
  align-items: flex-start;
  gap: 32px;

  overflow: hidden;
  border-radius: 16px;
  background: var(--surface-primary);
}

.floating-sidebar h3 {
  color: var(--text-primary);
}

.search-container-stores {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 16px;
  width: 100%;
}

.search-store {
  display: flex;
  padding: 8px 16px;
  align-items: center;
  gap: 8px;
  flex: 1 0 0;
  align-self: stretch;
  border-radius: 8px;
  background: var(--componentes-dropdown-primary);
}

.search-store input {
  border: none;
  background: transparent;
  outline: none;

  color: var(--text-contrast);

  font-family: var(--font-family-body);
  font-size: var(--font-size-body);
  font-weight: 500;
  line-height: 20px;
}

#geo-filter-btn {
  display: flex;
  padding: 8px;
  align-items: center;
  gap: 8px;
  border: none;

  border-radius: 8px;
  background: var(--componentes-button-w-icon-10-primary);
}

/* Dropdown Estilo */
.country-dropdown-stores {
  display: none;
  position: absolute;
  top: 40px;
  right: 0;
  background: white;
  border-radius: 16px;
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.15);
  width: 160px;
  z-index: 20;
  overflow: hidden;
}

.country-dropdown-stores.show {
  display: block;
}

.country-option {
  padding: 12px 16px;
  cursor: pointer;
  transition: background 0.2s;
  font-size: 14px;
}

.country-option:hover {
  background: #f0f0f0;
}

.store-scroll-list {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;
  overflow-y: auto;
  scrollbar-width: none;
}

.store-card {
  display: flex;
  padding: 16px;
  justify-content: space-between;
  align-items: center;
  border-radius: 16px;
  background: var(--surface-secondary);
  transition: transform 0.2s;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.store-card:hover {
  background: #f0f4ff;
  transform: translateY(-2px);
}

.store-card.active {
  background: var(--surface-brand-secondary-heavy, #1e3a8a) !important;
}

.store-card.active p,
.store-card.active span,
.store-card.active small {
  color: var(--text-invert) !important;
}

.store-card.active button {
  background: var(--color-blue-40) !important;

  svg {
    fill: var(--icons-primary);
  }
}

.store-card {
  display: flex;
  padding: 16px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;
  border-radius: 16px;
  background: var(--surface-secondary, #fff);
  cursor: pointer;
}

.store-card-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 16px;
  align-self: stretch;
}

.store-card-title {
  font-weight: 500;
}

.store-card-actions {
  display: flex;
  flex-direction: row;
  gap: 8px;
}

.store-card-btn {
  padding: 8px;
  border-radius: 99px;
  border: none;
  background: var(--surface-brand-secondary-default);
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.store-card-footer {
  display: flex;
  align-items: center;
  gap: 12px;
  justify-content: space-between;
  align-self: stretch;
}

.store-card-status {
  display: flex;
  align-items: center;
  gap: 8px;
}

.store-card-hours {
  color: var(--surface-invert);
}

.map-menu-mobile {
  display: none;
}

.jobs-section {
  background:
    linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 100%),
    url("../img/sectionstoresjobs.jpg") lightgray no-repeat;

  /* This is the CSS equivalent of object-fit: cover */
  background-size: cover;

  /* This centers the image (equivalent to object-position: center) */
  background-position: center;


  display: flex;
  width: 100%;
  padding: 32px 64px;
  justify-content: center;
  align-items: center;
  gap: 32px;
}

.jobs-section h4 {
  color: var(--text-invert);
}


/***************************************/
/*********** RESPONSIVIDADE ************/
/***************************************/

@media (max-width: 1152px) {
  .floating-sidebar {
    gap: 24px;
    top: 24px;
    left: 24px;
  }

  .map-menu-mobile {
    display: flex;
    position: absolute;
    padding: 16px;
    bottom: 0;
    width: 100%;
    z-index: 10;
    overflow: hidden;
  }

  .search-container-stores {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 16px;
    overflow-x: scroll;
    scroll-behavior: smooth;
    scrollbar-width: thin;
  }

  .store-card {
    min-width: 350px
  }

  .floating-sidebar {
    display: none;
  }

  .jobs-section {
    padding: 24px;
    flex-direction: column;
    gap: 24px;
  }
}

@media (max-width: 768px) {
  .floating-sidebar {
    gap: 16px;
    margin: 16px;
  }

  .jobs-section {
    padding: 16px;
    flex-direction: column;
    gap: 16px;
  }

  .jobs-section h4 {
    text-align: center;
  }

  .jobs-section .btn-primary {
    width: 100%;
  }
}